## NAME

i.eb.soilheatflux - Soil heat flux approximation (Bastiaanssen, 1995).

## KEYWORDS

imagery, energy balance, soil heat flux, SEBAL

## SYNOPSIS

i.eb.soilheatflux
i.eb.soilheatflux --help
i.eb.soilheatflux [-r] albedo=name ndvi=name temperature=name netradiation=name localutctime=name output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-r
  HAPEX-Sahel empirical correction (Roerink, 1995)
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

albedo=name [required]
  Name of albedo raster map [0.0;1.0]
ndvi=name [required]
  Name of NDVI raster map [-1.0;+1.0]
temperature=name [required]
  Name of Surface temperature raster map [K]
netradiation=name [required]
  Name of Net Radiation raster map [W/m2]
localutctime=name [required]
  Name of time of satellite overpass raster map [local time in UTC]
output=name [required]
  Name for output raster map

## DESCRIPTION

i.eb.soilheatflux calculates the soil heat flux approximation (g0) after Bastiaanssen (1995). The main reference for implementation is Alexandridis, 2009. It takes input of Albedo, NDVI, Surface Skin temperature, Net Radiation (see r.sun), time of satellite overpass, and a flag for the Roerink empirical modification from the HAPEX-Sahel experiment. The "time of satellite overpass" map can be obtained as follows:

- MODIS: a related sub dataset is included in each HDF file, and simply to be imported as a raster map;
- Landsat: to be generated as map from the overpass time stored in the metadata file (given in Greenwich Mean Time - GMT), see below.

For Landsat, the overpass map can be computed by using a two-step method:

    # 1) extract the overpass time in GMT from metadata file

    i.landsat.toar -p input=dummy output=dummy2 \
       metfile=LC81250452013338LGN00_MTL.txt lsatmet=time
    # ... in this example approx. 03:12am GMT

    # 2) create map for computational region of Landsat scene
    g.region rast=LC81250452013338LGN00_B4 -p
    r.mapcalc "overpasstime = 3.211328"

## REFERENCES

Bastiaanssen, W.G.M., 1995. Estimation of Land surface parameters by remote sensing under clear-sky conditions. PhD thesis, Wageningen University, Wageningen, The Netherlands. (PDF)

Chemin Y., Alexandridis T.A., 2001. Improving spatial resolution of ET seasonal for irrigated rice in Zhanghe, China. Asian Journal of Geoinformatics. 5(1):3-11,2004.

Alexandridis T.K., Cherif I., Chemin Y., Silleos N.G., Stavrinos E., Zalidis G.C. Integrated methodology for estimating water use in Mediterranean agricultural areas. Remote Sensing. 2009, 1, 445-465. (PDF)

Chemin, Y., 2012. A Distributed Benchmarking Framework for Actual ET Models, in: Irmak, A. (Ed.), Evapotranspiration - Remote Sensing and Modeling. InTech. (PDF)

## SEE ALSO

r.sun, i.albedo, i.emissivity, i.eb.hsebal01, i.eb.evapfr i.landsat.toar

## AUTHOR

Yann Chemin, Asian Institute of Technology, Thailand

## SOURCE CODE

Available at: i.eb.soilheatflux source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.3.dev Reference Manual